Subject: Re: FW: Submission for S2io 10GbE driver

From: Jeff Garzik <[email-masked]>
Date: Thu, 05 Feb 2004 04:27:25 -0500

Anton Blanchard wrote:
> Well there are non byteswapping versions on some architectures
> (__raw_read*/__raw_write*). However at least on ppc32 they dont contain
> memory barriers so you could into trouble using them.

FWIW the __raw_xxx are not supposed to contain memory barriers.  That's 
for when the driver writer decides he is smart enough to do the byte 
swapping and barriers himself, for possibly increased speed :)

	Jeff